* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body {
  text-align: center;
}

.interface-content {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100dvh;
  background-color: dimgray;
  background-image: url("../assets/car.jpg");
  background-size: cover;
  background-position: center;
}

.error {
  color: red;
}

.warning {
  color: darkorange;
  margin-bottom: 1em;
}

.hidden {
  display: none !important;
  animation: none !important;
}

button {
  box-shadow: inset 0px 1px 0px 0px #ffffff;
  background: linear-gradient(to bottom, #f9f9f9 5%, #e9e9e9 100%);
  background-color: #f9f9f9;
  border-radius: 10px;
  border: 1px solid #dcdcdc;
  display: inline-block;
  cursor: pointer;
  color: #666666;
  font-family: Arial;
  font-size: 13px;
  font-weight: bold;
  padding: 6px 24px;
  text-decoration: none;
  text-shadow: 0px 1px 0px #ffffff;
  margin: 0.5rem;
}

button:hover {
  background: linear-gradient(to bottom, #e9e9e9 5%, #f9f9f9 100%);
  background-color: #e9e9e9;
}

button:active {
  position: relative;
  top: 1px;
}

button:disabled {
  color: #bdbdbd;
  font-weight: normal;
}

input {
  background-color: #dcdcdc;
  border: 1px solid #f9f9f9;
  display: inline-block;
  color: black;
  font-family: Arial;
  font-size: 12px;
  padding: 8px 24px;
  text-decoration: none;
}

@media (max-width: 640px) {
  .interface-content {
    min-height: 100dvh;
    height: auto;
    overflow-y: auto;
  }
}
